# ``twisted`.`protocols`.`amp`.`SimpleStringLocator``

class documentation

`class SimpleStringLocator: (source)`

Known subclasses: `twisted.protocols.amp.AMP`

Implements interfaces: `twisted.protocols.amp.IResponderLocator`

View In Hierarchy

Implement the `AMP.locateResponder` method to do simple, string-based dispatch.

Method | `locateResponder` | Locate a callable to invoke when executing the named command.
Class Variable | `baseDispatchPrefix` | Undocumented

def locateResponder(self, name): (source)
from `twisted.protocols.amp.IResponderLocator`
overridden in `twisted.protocols.amp.AMP`
Locate a callable to invoke when executing the named command.

Parameters
name:`bytes` | the normalized name (from the wire) of the command.
Returns
a function with the name `"amp_" + name` on the same instance, or None if no such function exists. This function will then be called with the `AmpBox` itself as an argument.

baseDispatchPrefix: `bytes` = (source)

Undocumented